## NAME

           grdreformat - Converting between different grdfile formats.

## SYNOPSIS

           grdreformat       ingrdfile[=id[/scale/offset[/NaNvalue]]]      outgrd-
           file[=id[/scale/offset[/NaNvalue]]] [ -Rwest/east/south/north[r] ] [ -V
           ]

## DESCRIPTION

           grdreformat  reads  a  grdfile  in  one  format and writes it out using
           another format. As an option the user may select a subset of  the  data
           to be written and to specify scaling, translation, and NaN-value.

           ingrdfile
                  The  grdfile to be read. Append format =id number if not a stan-
                  dard GMT netcdf-based grdfile.  If id is set, you may optionally
                  append  scale  and offset to scale the data and then add an off-
                  set. If scale and offset are supplied  you  may  also  append  a
                  value  that  represent  ’not-a-number’ (for floating-point grids
                  this is unneccesary since the IEEE NaN is  used;  however  short
                  integers need a value which means no data available.)

           outgrdfile
                  The  grdfile  to  be  written. Append format =id number if not a
                  standard GMT netcdf-based  grdfile.   If  id  is  set,  you  may
                  optionally  append  scale  and offset to scale the data and then
                  add an offset. If scale and offset are  supplied  you  may  also
                  append a value that represent ’not-a-number’ (for floating-point
                  grids this is unneccesary since the IEEE NaN  is  used;  however
                  short integers need a value which means no data available.)  For
                  format =id > 0 the size of the GMT grdheader block  is  hsize  =
                  896  bytes,  and the total size of the file is hsize + nx * ny *
                  item_size, where item_size is the size in bytes of each  element
                  (1,  2,  4).  Bit  grids  are stored using 4-byte integers, each
                  holding 32 bits, so for these files the size equation  is  modi-
                  fied  by  using ceil (nx / 32) * 4 instead of nx. For header and
                  grid details, see Appendix B.

## OPTIONS

           -R     west, east, south, and north specify the Region of interest.  To
                  specify boundaries in degrees and minutes [and seconds], use the
                  dd:mm[:ss] format. Append r if lower left and  upper  right  map
                  coordinates are given instead of wesn.

           -V     Selects verbose mode, which will send progress reports to stderr
                  [Default runs "silently"].

## EXAMPLES

           To create a 4-byte  raw  floating  point  grid  from  the  netcdf  file
           data.grd, try

           grdreformat data.grd ras_data.b4=1 -V

           To  make  a  2-byte short integer file, scale it by 10, subtract 32000,
           setting NaNs to -9999, do

           grdreformat values.grd shorts.i2=2/10/-32000/-9999 -V

           To create a Sun standard 8-bit rasterfile for a subset of the data file
           image.grd,  assuming  the  range in image.grd is 0-1 and we need 0-255,
           try

           grdreformat image.grd -R-60/-40/-40/-30 image.ras8=3/255/0 -V

## SEE ALSO

           gmt(l), grdmath(l)

    GMT3.4.6                          1 Jan 2005                    GRDREFORMAT(l)